Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get production order by ID.
cURL
curl --request GET \ --url https://vinmake-erp.onrender.com/production-orders/{order_id}
import requests url = "https://vinmake-erp.onrender.com/production-orders/{order_id}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://vinmake-erp.onrender.com/production-orders/{order_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


{ "id": "<string>", "documentId": "<string>", "status": "<string>", "createdAt": "<string>", "currentVersion": 123, "finalVersion": 123, "productionType": "<string>", "production_type": "<string>", "category": "<string>", "orderQuantity": 123, "order_quantity": 123, "salesOrderId": "<string>", "salesOrderDocumentId": "<string>", "salesOrderIds": [ "<string>" ], "salesOrderDocumentIds": [ "<string>" ], "salesOrders": [ {} ], "clientId": "<string>", "clientName": "<string>", "styleId": "<string>", "styleName": "<string>", "styles": [ {} ], "picture": "<string>", "bomId": "<string>", "bomDocumentId": "<string>", "bomName": "<string>", "dueDate": "<string>", "plannedStartDate": "<string>", "plannedCompletionDate": "<string>", "exFactoryDate": "<string>", "actualStartDate": "<string>", "actualCompletionDate": "<string>", "materialsReadyDate": "<string>", "cuttingStartDate": "<string>", "cuttingEndDate": "<string>", "sewingStartDate": "<string>", "sewingEndDate": "<string>", "finishingStartDate": "<string>", "finishingEndDate": "<string>", "qcStartDate": "<string>", "qcEndDate": "<string>", "packingStartDate": "<string>", "packingEndDate": "<string>", "completionDate": "<string>", "productionLocation": "<string>", "productionLineId": "<string>", "productionLineName": "<string>", "specialInstructions": "<string>", "autoGenerateMaterialRequest": true, "qcStatus": "<string>", "defectCount": 123, "defectNotes": "<string>", "qcInspector": "<string>", "qcDate": "<string>", "assignedWorkers": [ "<string>" ], "details": {} }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ] }
Successful Response